package model

type LUserServer struct {
	Id       int    `json:"id" gorm:"primaryKey"`
	UserId   int    `json:"userId"`
	Version  string `json:"version"`
	ServerId int    `json:"serverId"`
}

func (t LUserServer) TableName() string {
	return "l_user_server"
}

type TServer struct {
	Id          int    `json:"id" gorm:"primaryKey"`
	Version     string `json:"version"`
	Name        string `json:"name"`
	IsNew       int8   `json:"isNew"`
	Status      int    `json:"status"`
	IsRecommend int    `json:"isRecommend"`
}

type TServerInfo struct {
	TServer
	Host            string `json:"-"`
	Port            int    `json:"-"`
	Protocal        string `json:"-"`
	Path            string `json:"-"`
	Net             string `json:"-"`
	GamePlatform    int    `json:"-"`
	IsDebugVersions int    `json:"-"`
	Tpl             string `json:"-"`
	Opendns         string `json:"-"`
	AreaId          int    `json:"-"`
}

func (t TServer) TableName() string {
	return "t_server"
}

type Server struct {
	Server          interface{} `json:"server"`
	Net             ServerNet   `json:"net"`
	GamePlatform    int         `json:"gamePlatform"`
	Path            ServerPath  `json:"path"`
	IsDebugVersions bool        `json:"isDebugVersions"`
	Tpl             ServerTpl   `json:"tpl"`
	Opendns         []string    `json:"opendns"`
	Token           string      `json:"token"`
	RealAuth        int         `json:"realAuth"`
}
type ServerNet struct {
	BaseUrl     string `json:"baseUrl"`
	LoginUrl    string `json:"loginUrl"`
	RegUrl      string `json:"regUrl"`
	GateHost    string `json:"gateHost"`
	GatePort    string `json:"gatePort"`
	HttpRequest string `json:"httpRequest"`
}
type ServerPath struct {
	Res  string `json:"res"`
	Anim string `json:"anim"`
	Data string `json:"data"`
}
type ServerTpl struct {
	Path string `json:"path"`
}
