package model

type Ordonnance struct {
	OrdonnanceId     int    `json:"ordonnanceId" gorm:"primaryKey" `
	Organ            string `json:"organ"`
	Gender           string `json:"gender"`
	Department       string `json:"department"`
	Nickname         string `json:"nickname"`
	Packer           string `json:"packer"`
	Symptom          string `json:"symptom"`
	Doctor           string `json:"doctor"`
	TakingWay        string `json:"takingWay"`
	DosageConfirm    string `json:"dosageConfirm"`
	ProvideConfirm   string `json:"provideConfirm"`
	PrescriptionSign string `json:"prescriptionSign"`
	ReviewSign       string `json:"reviewSign"`
	PrintDate        string `json:"printDate"`

	TotalFee    uint16 `json:"totalFee"`
	ChineseFee  uint16 `json:"chineseFee"`
	BoilFee     uint16 `json:"boilFee"`
	DeliveryFee uint16 `json:"deliveryFee"`
	Counter     uint16 `json:"counter"`
	Old         uint16 `json:"old"`
}

type VordonnanceDetail struct {
	Ordonnance
	Detail []OrdonnanceItem `json:"detail"`
}

func (Ordonnance) TableName() string {
	return "t_ordonnance"
}
